Skip to main content

Send Cancel REST API Endpoint

Loading...

Updated on
Feb 27, 2026

Send Cancel REST API Endpoint

Parameters

Body Parameters

action
object
REQUIRED
Loading...
type
string
Loading...
cancels
array
Loading...
a
integer
Loading...
o
integer
Loading...
nonce
integer
REQUIRED
Loading...
signature
object
REQUIRED
Loading...
r
string
Loading...
s
string
Loading...
v
integer
Loading...
vaultAddress
string
Loading...
expiresAfter
integer
Loading...

Returns

success
boolean
Loading...
user
string
Loading...
exchangeResponse
object
Loading...
Request
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/exchange \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "cancel",
6
"cancels": [
7
{
8
"a": 0,
9
"o": 123456789
10
}
11
]
12
},
13
"nonce": 1234567890,
14
"signature": {
15
"r": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
16
"s": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
17
"v": 28
18
}
19
}'
20
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/exchange \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "cancel",
6
"cancels": [
7
{
8
"a": 0,
9
"o": 123456789
10
}
11
]
12
},
13
"nonce": 1234567890,
14
"signature": {
15
"r": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
16
"s": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
17
"v": 28
18
}
19
}'
20
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free